# $Revision: 1.38 $, $Date: 2008/07/27 22:37:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Include - allow use #defines from C header files
Summary(pl.UTF-8):	Include - umożliwienie używania #define z plików nagłówkowych C
Name:		perl-Include
Version:	1.02a
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Include/Include-%{version}.tar.gz
# Source0-md5:	441aed9cce2e237f749615ca40ecb8b3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Include allows to use #defines from C header files.

%description -l pl.UTF-8
Include pozwala na korzystanie z makr #define z plików nagłówkowych C.

%prep
%setup -q -n Include-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Include")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Include.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Include.spec,v $
Revision 1.38  2008/07/27 22:37:49  arekm
- release 10

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.35  2004/10/29 18:35:18  ankry
- pl fix

Revision 1.34  2004/10/29 16:49:03  radek
- informative summary, standarized

Revision 1.33  2004/10/24 15:18:50  paladine
- perla->Perla

Revision 1.32  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.31  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.28  2004/04/22 18:55:17  agaran
- fixed previous commit log

Revision 1.27  2004/04/22 18:29:38  agaran
- Very ugly fix for empty build on AC

Revision 1.26  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.25  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.24  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.20  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:34:22  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/11/26 00:14:05  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.16  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 20:15:49  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:27:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:11:26  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/11 01:40:25  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
